Agora RTC Objective-C API Reference Refactor

Public Member Functions
IVideoDeviceCollection Class Referenceabstract

## Public Member Functions
virtual int | getCount ()=0
virtual int | setDevice (const char deviceIdUTF8[MAX_DEVICE_ID_LENGTH])=0
virtual int | getDevice (int index, char deviceNameUTF8[MAX_DEVICE_ID_LENGTH], char deviceIdUTF8[MAX_DEVICE_ID_LENGTH])=0

## Detailed Description

The IVideoDeviceCollection class. You can get information related to video devices through this interface.

## Constructor & Destructor Documentation

## ◆ ~IVideoDeviceCollection()

virtual ~IVideoDeviceCollection | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getCount()

virtual int getCount | ( |  | ) |
| pure virtual

Gets the total number of the indexed video devices in the system.

Returns
  The total number of the indexed video devices in the system.

## ◆ setDevice()

virtual int setDevice | ( | const char | deviceIdUTF8[MAX_DEVICE_ID_LENGTH] | ) |
| pure virtual

Specifies a device with the device ID.

Parameters

  deviceIdUTF8 | The device ID. The maximum length is #MAX_DEVICE_ID_LENGTH_TYPE. Plugging or unplugging the audio device does not change the value of deviceId.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ getDevice()

virtual int getDevice | ( | int | index,
|  | char | deviceNameUTF8[MAX_DEVICE_ID_LENGTH],
|  | char | deviceIdUTF8[MAX_DEVICE_ID_LENGTH]
| ) |  |
| pure virtual

Gets a specified piece of information about an indexed video device.

Parameters

  index | The index value of the video device. The value of this parameter must be less than the value returned in `getCount`.
  deviceNameUTF8 | The name of the device. The maximum length is #MAX_DEVICE_ID_LENGTH.
  deviceIdUTF8 | The device ID of the video device. The maximum length is #MAX_DEVICE_ID_LENGTH.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ release()

virtual void release | ( |  | ) |
| pure virtual

Releases all the resources occupied by the `IVideoDeviceCollection` object.